Bug 465987 - jaxen: new version needed
jaxen: new version needed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: jaxen (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Devrim GÜNDÜZ
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 319161
  Show dependency treegraph
 
Reported: 2008-10-07 12:14 EDT by Jerry James
Modified: 2009-09-03 10:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-03 10:31:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2008-10-07 12:14:15 EDT
Description of problem:
I'm working on upgrading PMD.  PMD now requires jaxen version 1.1.1, instead of the version 1.1 we currently ship.  Apparently version 1.1.1 contains some bug fixes that affect PMD's behavior.

Version-Release number of selected component (if applicable):
jaxen-1.1-1jpp.2.fc7

How reproducible:
N/A

Steps to Reproduce:
1. N/A
  
Actual results:
N/A

Expected results:
N/A

Additional info:
I am willing to help with the upgrade, if needed.
Comment 1 Jerry James 2008-10-16 16:47:13 EDT
This patch to the current spec file does the job.  You'll need a Changelog entry and an upload of the new source file too, of course.  I ran the test suite and every test passed.

--- jaxen.spec.ORIG     2008-07-09 13:58:18.000000000 -0600
+++ jaxen.spec  2008-10-16 14:40:43.000000000 -0600
@@ -43,14 +43,14 @@
 %define without_manual %{?_without_manual:1}%{!?_without_manual:0}

 Name:           jaxen
-Version:        1.1
-Release:        1.3%{?dist}
+Version:        1.1.1
+Release:        1%{?dist}
 Epoch:          0
 Summary:        An XPath engine written in Java
 License:        BSD
 Url:            http://jaxen.codehaus.org/
 Group:          Development/Libraries
-Source0:        http://dist.codehaus.org/jaxen/distributions/jaxen-1.1-src.tar.gz
+Source0:        http://dist.codehaus.org/jaxen/distributions/jaxen-%{version}-src.tar.gz
 %if %{with_maven}
 Source1:        pom-maven2jpp-depcat.xsl
 Source2:        pom-maven2jpp-newdepmap.xsl
Comment 2 Jerry James 2008-11-25 16:47:38 EST
Devrim, are you able to update this package?  Please respond.
Comment 3 Devrim GUNDUZ 2008-11-25 16:56:57 EST
(In reply to comment #2)
> Devrim, are you able to update this package?  Please respond.

Do you want it for F-10, or for devel, or both, or more?
Comment 4 Bug Zapper 2008-11-25 22:38:07 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jerry James 2009-04-30 11:25:53 EDT
Sorry, I completely missed somehow that you had asked me a question on this bug.  You got it into Rawhide, which is where I put the new PMD, too.  The current situation is fine for me.  Let's close this bug.

Note You need to log in before you can comment on or make changes to this bug.